# tower_job_list – List Ansible Tower jobs

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- List Ansible Tower jobs. See https://www.ansible.com/tower for an overview.

## Requirements

The below requirements are needed on the host that executes this module.

- ansible-tower-cli >= 3.0.2

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

all_pages
boolean

Choices:
- no ←
- yes

Fetch all the pages and return a single result.

page - |  | Page number of the results to fetch.
query - |  | Query used to further filter the list of jobs. `{"foo":"bar"}` will be passed at `?foo=bar`

status
-

Choices:
- pending
- waiting
- running
- error
- failed
- canceled
- successful

Only list jobs with this status.

tower_config_file path |  | Path to the Tower config file.
tower_host string |  | URL to your Tower instance.
tower_password string |  | Password for your Tower instance.
tower_username string |  | Username for your Tower instance.

validate_certs
boolean

Choices:
- no
- yes

Whether to allow insecure connections to Tower.
If `no`, SSL certificates will not be validated.
This should only be used on personally controlled sites using self-signed certificates.
aliases: tower_verify_ssl

## Notes

Note

- If no config_file is provided we will attempt to use the tower-cli library defaults to find your Tower host information.
- config_file should contain Tower configuration in the following format host=hostname username=username password=password

## Examples

    - name: List running jobs for the testing.yml playbook
      tower_job_list:
        status: running
        query: {"playbook": "testing.yml"}
        tower_config_file: "~/tower_cli.cfg"
      register: testing_jobs

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
count integer | success | Total count of objects return Sample: 51
next integer | success | next page available for the listing Sample: 3
previous integer | success | previous page available for the listing Sample: 1

results
list

success

a list of job objects represented as dictionaries
Sample:
[{'allow_simultaneous': False, 'artifacts': {}, 'ask_credential_on_launch': False, 'ask_inventory_on_launch': False, 'ask_job_type_on_launch': False, 'failed': False, 'finished': '2017-02-22T15:09:05.633942Z', 'force_handlers': False, 'forks': 0, 'id': 2, 'inventory': 1, 'job_explanation': '', 'job_tags': '', 'job_template': 5, 'job_type': 'run'}, '...']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Wayne Witzel III (@wwitzel3)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.